Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.log
Class AbstractAccessLog

    java.lang.Object
      |
      +--com.caucho.http.log.AbstractAccessLog

Direct Known Subclasses:
  AccessLog

public abstract class AbstractAccessLog
extends java.lang.Object

Represents an log of every top-level request to the server.

Field Summary
`protected static WriteStream` | `dbg`
`protected Path` | `path`

Constructor Summary
`AbstractAccessLog()`

Method Summary
`void` | `destroy()` Cleanup the log.
`Path` | `getPath()` Returns the access-log's path.
`void` | `init()` Initialize the log.
`abstract void` | `log(HttpServletRequest request, HttpServletResponse response, ServletContext application)` Logs a request using the current format.
`void` | `setPath(Path path)` Sets the access-log's path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbg

    protected static WriteStream dbg

### path

    protected Path path

Constructor Detail

### AbstractAccessLog

    public AbstractAccessLog()

Method Detail

### getPath

    public Path getPath()

  Returns the access-log's path.

### setPath

    public void setPath(Path path)

  Sets the access-log's path.

### init

    public void init()
              throws ServletException,
                     java.io.IOException

  Initialize the log.

### log

    public abstract void log(HttpServletRequest request,
                             HttpServletResponse response,
                             ServletContext application)
                      throws java.io.IOException

  Logs a request using the current format.
  Parameters:
    `request` - the servlet request.
    `response` - the servlet response.

### destroy

    public void destroy()
                 throws java.io.IOException

  Cleanup the log.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD